### Method

# Fwupd JcatItem get_blob_by_kind

since: 2.1.3

#### Declaration [src]

    FwupdJcatBlob*
    fwupd_jcat_item_get_blob_by_kind (
      FwupdJcatItem* self,
      FwupdJcatBlobKind kind,
      GError** error
    )

#### Description [src]

Gets the item blobs by a specific kind.

Available since: 2.1.3

#### Parameters

`kind`

  Type: `FwupdJcatBlobKind`

  `FwupdJcatBlobKind`, e.g. `FWUPD_JCAT_BLOB_KIND_SHA256`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FwupdJcatBlob`

A blob, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.